<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:elevation="3dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <!-- Toolbar -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/toolbar_height"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageButton
                android:id="@+id/back_imageButton"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_marginLeft="4dp"
                android:layout_weight="0"
                android:background="@null"
                android:padding="12dp"
                android:src="@mipmap/ic_ab_back" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <ImageButton
                android:id="@+id/history_imageButton"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_weight="0"
                android:background="@null"
                android:src="@mipmap/ic_ab_history" />

            <ImageButton
                android:id="@+id/more_imageButton"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_weight="0"
                android:background="@null"
                android:src="@mipmap/ic_ab_more" />

            <View
                android:layout_width="4dp"
                android:layout_height="1dp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">

            <android.support.v4.widget.SwipeRefreshLayout
                android:id="@+id/swipeRefreshLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white">

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/task_recyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:fadingEdgeLength="0dp"
                    android:overScrollMode="never" />
            </android.support.v4.widget.SwipeRefreshLayout>

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="8dp"
                android:background="@mipmap/gradient_white" />
        </RelativeLayout>

        <View
            android:id="@+id/bottomMargin_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/comment_min_height" />
    </LinearLayout>

    <ImageButton
        android:id="@+id/scrollToTop_imageButton"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_alignParentBottom="true"
        android:layout_alignParentEnd="true"
        android:layout_marginBottom="@dimen/floating_button_bottom_margin_close"
        android:layout_marginRight="16dp"
        android:background="@drawable/circle_arrow_background"
        android:elevation="@dimen/common_size_18"
        android:rotation="90"
        android:src="@mipmap/ic_ab_back"
        android:visibility="gone" />

    <kr.co.hanwha.hifive.view.HFCommentEditView
        android:id="@+id/commentEditView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" />

    <!-- PopupMenu-->
    <kr.co.hanwha.hifive.view.HFTaskPopupMenuView
        android:id="@+id/taskPopupMenuView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />


    <View
        android:id="@+id/coverView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:orientation="vertical"
        android:visibility="gone">

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="1dp"
            android:background="#cacbd1" />
    </LinearLayout>
</RelativeLayout>